gtkmm: Gtk::VPaned Class Reference

gtkmm 2.24.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions

# Gtk::VPaned Class Reference
Widgets

The Gtk::VPaned widget is a container widget with two children arranged vertically. More...

Inheritance diagram for Gtk::VPaned:
[legend]
Collaboration diagram for Gtk::VPaned:
[legend]

List of all members.

## Public Member Functions
virtual | ~VPaned ()
GtkVPaned* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkVPaned* | gobj () const
| Provides access to the underlying C GtkObject.
| VPaned ()
## Related Functions
(Note that these are not member functions.)
Gtk::VPaned* | wrap (GtkVPaned* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

The Gtk::VPaned widget is a container widget with two children arranged vertically.

The division between the two panes is adjustable by the user by dragging a handle. See Gtk::Paned for details.

## Constructor & Destructor Documentation

virtual Gtk::VPaned::~VPaned | ( |  | ) | `[virtual]`

Gtk::VPaned::VPaned | ( |  | ) |

## Member Function Documentation

GtkVPaned* Gtk::VPaned::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Paned.

const GtkVPaned* Gtk::VPaned::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Paned.

## Friends And Related Function Documentation

Gtk::VPaned* wrap | ( | GtkVPaned * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/paned.h